<?php
/**
 * ZDOO API的附件资源类
 * 版本V1
 *
 * The file entry point of zdoo
 * Version 1
 */
class fileEntry extends entry
{
    /**
     * Download file by id. 
     * 
     * @param  int    $fileID 
     * @access public
     * @return void
     */
    public function get($fileID)
    {
        $control = $this->loadController('file', 'download');
        $control->download($fileID);

        $data = $this->getData();
        return $this->send($data);
    }

    /**
     * Remove file by id. 
     * 
     * @param  int    $fileID 
     * @access public
     * @return void
     */
    public function delete($fileID)
    {
        if(!empty($this->param('uid')))
        {
            $control = $this->loadController('file', 'ajaxDelete');
            $control->ajaxDelete($fileID, $this->param('uid'));
        }
        else
        {
            $control = $this->loadController('file', 'delete');
            $control->delete($fileID);
        }

        $data = $this->getData();
        return $this->send($data);
    }
}
